# Deprecated API

## Contents

- Classes
- Exceptions
- Methods
- Constructors

Classes
org.eclipse.jgit.ignore.IgnoreRule: this rule does not support double star pattern and is slow parsing glob expressions. Consider to use `FastIgnoreRule` instead. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=440732
org.eclipse.jgit.lib.FileTreeEntry: To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
org.eclipse.jgit.lib.GitlinkTreeEntry: To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
org.eclipse.jgit.lib.SymlinkTreeEntry: To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
org.eclipse.jgit.lib.Tree: To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
org.eclipse.jgit.lib.TreeEntry: To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.

Exceptions
org.eclipse.jgit.transport.UploadPackMayNotContinueException: use `ServiceMayNotContinueException` instead.

Methods
org.eclipse.jgit.dircache.DirCacheCheckout.checkoutEntry​(Repository, File, DirCacheEntry): Use the overloaded form that accepts `ObjectReader`.
org.eclipse.jgit.dircache.DirCacheCheckout.checkValidPath​(String): Use `SystemReader.checkPath(String)`.
org.eclipse.jgit.internal.storage.file.WindowCache.reconfigure​(WindowCacheConfig): use `cfg.install()` to avoid internal reference.
org.eclipse.jgit.internal.storage.pack.PackWriter.preparePack​(ProgressMonitor, Collection<? extends ObjectId>, Collection<? extends ObjectId>): to be removed in 2.0; use the Set version of this method.
org.eclipse.jgit.merge.Merger.getBaseCommit​(int, int): use `Merger.getBaseCommitId()` instead, as that does not require walking the commits again
org.eclipse.jgit.transport.TransferConfig.isFsckObjects(): use `TransferConfig.newObjectChecker()` instead.
org.eclipse.jgit.treewalk.CanonicalTreeParser.getParent(): internal use only
org.eclipse.jgit.treewalk.WorkingTreeIterator.isModified​(DirCacheEntry, boolean): Use `WorkingTreeIterator.isModified(DirCacheEntry, boolean, ObjectReader)`

Constructors
org.eclipse.jgit.util.TemporaryBuffer.LocalFile(): Use the `File` overload to supply a directory.